package com.winhc.bigdata.query.server.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.winhc.bigdata.query.server.entity.TianyanUpdateStatus;
import com.winhc.bigdata.query.server.service.QueryService;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.Pattern;

/**
 * @Author: XuJiakai
 * @Date: 2020/8/7 09:50
 * @Description:
 */
@Validated
@RestController
@RequestMapping("query")
@AllArgsConstructor
public class QueryController {
    private QueryService queryService;

    @GetMapping("{date}")
    public String queryStatus( @PathVariable("date") @Pattern(regexp = "\\d{4}\\-\\d{2}\\-\\d{2}", message = "查询时间必需为yyyy-MM-dd格式") String date) {
        TianyanUpdateStatus one = queryService.getOne(new LambdaQueryWrapper<TianyanUpdateStatus>()
                .apply("date_format(program_end_time,'%Y-%m-%d') = '" + date + "'"));
        return one == null ? "" : one.getStatus() + "";
    }
}
